/*
 * @Descripttion: 企业设置
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-07-24 12:19:48
 * @LastEditors: 无尘
 * @LastEditTime: 2020-07-31 18:38:19
 */
import getFetch from './getFetch.js';

let api = {
  wxEnterpriseRefresh: '/setting/wx-enterprise-info-flush', // 同步刷新
  wxEnterpriseDetail: '/setting/wx-enterprise-info', // 获取企业信息
  getSelfApp: '/setting/secret-list', // 获取企业信息
  addSelfApp: {
    url: '/setting/set-secret', // 添加自建应用
    method: 'post',
    useFormData: true
  },
  editSelfApp: {
    url: '/setting/set-secret', // 编辑自建应用
    method: 'post',
    useFormData: true
  },
  delSelfApp: {
    url: '/setting/del-secret', // 删除自建应用
    method: 'post',
    useFormData: true
  },
  refreshSelfApp: {
    url: '/setting/reflush-secret', // 删除自建应用
    method: 'post',
    useFormData: true
  },
  getAdmin: '/admin-list', // 获取超级管理员
}

api = getFetch(api, '/hb-manage-web');

export default api;
